com.jnape.palatable.lambda.functions.builtin.fn8

## Class LiftA7<A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn8.LiftA7<A,B,C,D,E,F,G,H,App,AppH>

- Type Parameters:
    `A` - the function's first argument type
    `B` - the function's second argument type
    `C` - the function's third argument type
    `D` - the function's fourth argument type
    `E` - the function's fifth argument type
    `F` - the function's sixth argument type
    `G` - the function's seventh argument type
    `H` - the function's return type
    `App` - the applicative unification type
    `AppH` - the inferred applicative return type
  All Implemented Interfaces:
    Fn1<Fn7<A,B,C,D,E,F,G,H>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>>, Fn2<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>, Fn3<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>, Fn4<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>, Fn5<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>, Fn6<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>, Fn7<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>, Fn8<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>, Applicative<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<Fn7<A,B,C,D,E,F,G,H>,?>>, Cartesian<Fn7<A,B,C,D,E,F,G,H>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<?,?>>, Cocartesian<Fn7<A,B,C,D,E,F,G,H>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<?,?>>, Contravariant<Fn7<A,B,C,D,E,F,G,H>,Profunctor<?,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<?,?>>>, Functor<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<Fn7<A,B,C,D,E,F,G,H>,?>>, Profunctor<Fn7<A,B,C,D,E,F,G,H>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<?,?>>, Monad<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<Fn7<A,B,C,D,E,F,G,H>,?>>, MonadReader<Fn7<A,B,C,D,E,F,G,H>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<Fn7<A,B,C,D,E,F,G,H>,?>>, MonadRec<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<Fn7<A,B,C,D,E,F,G,H>,?>>, MonadWriter<Fn7<A,B,C,D,E,F,G,H>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,Fn1<Applicative<F,App>,Fn1<Applicative<G,App>,AppH>>>>>>>,Fn1<Fn7<A,B,C,D,E,F,G,H>,?>>

      public final class LiftA7<A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>>
      extends Object
      implements Fn8<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>

  Lift into and apply an `Fn7` to seven `Applicative` values, returning the result inside the same `Applicative` context.
  See Also:
    `Applicative.zip(Applicative)`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppH` | `checkedApply(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD, Applicative<E,App> appE, Applicative<F,App> appF, Applicative<G,App> appG)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> LiftA7<A,B,C,D,E,F,G,H,App,AppH>` | `liftA7()`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn7<Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn6<Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn5<Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn4<Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn3<Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn2<Applicative<F,App>,Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD, Applicative<E,App> appE)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn1<Applicative<G,App>,AppH>` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD, Applicative<E,App> appE, Applicative<F,App> appF)`
    `static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> AppH` | `liftA7(Fn7<A,B,C,D,E,F,G,H> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD, Applicative<E,App> appE, Applicative<F,App> appF, Applicative<G,App> appG)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn8

      `apply, apply, apply, apply, apply, apply, apply, apply, checkedApply, compose, contraMap, diMapL, discardR, flip, fn8, fn8, fn8, fn8, fn8, fn8, fn8, fn8, uncurry`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn7

      `checkedApply, fn7, fn7, fn7, fn7, fn7, fn7, fn7, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn6

      `checkedApply, fn6, fn6, fn6, fn6, fn6, fn6`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn5

      `checkedApply, fn5, fn5, fn5, fn5, fn5`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn4

      `checkedApply, fn4, fn4, fn4, fn4`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn3

      `checkedApply, fn3, fn3, fn3`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `checkedApply, curried, curry, fn2, fromBiFunction, toBiFunction`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public AppH checkedApply(Fn7<A,B,C,D,E,F,G,H> fn,
                                   Applicative<A,App> appA,
                                   Applicative<B,App> appB,
                                   Applicative<C,App> appC,
                                   Applicative<D,App> appD,
                                   Applicative<E,App> appE,
                                   Applicative<F,App> appF,
                                   Applicative<G,App> appG)

      Specified by:
        `checkedApply` in interface `Fn8<Fn7<A,B,C,D,E,F,G,H>,Applicative<A,App extends Applicative<?,App>>,Applicative<B,App extends Applicative<?,App>>,Applicative<C,App extends Applicative<?,App>>,Applicative<D,App extends Applicative<?,App>>,Applicative<E,App extends Applicative<?,App>>,Applicative<F,App extends Applicative<?,App>>,Applicative<G,App extends Applicative<?,App>>,AppH extends Applicative<H,App>>`

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> LiftA7<A,B,C,D,E,F,G,H,App,AppH> liftA7()

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn7<Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn6<Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                                                                                                                                            Applicative<A,App> appA)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn5<Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                                                                                                                         Applicative<A,App> appA,
                                                                                                                                                                                                                         Applicative<B,App> appB)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn4<Applicative<D,App>,Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                                                                                                      Applicative<A,App> appA,
                                                                                                                                                                                                      Applicative<B,App> appB,
                                                                                                                                                                                                      Applicative<C,App> appC)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn3<Applicative<E,App>,Applicative<F,App>,Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                                                                                   Applicative<A,App> appA,
                                                                                                                                                                                   Applicative<B,App> appB,
                                                                                                                                                                                   Applicative<C,App> appC,
                                                                                                                                                                                   Applicative<D,App> appD)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn2<Applicative<F,App>,Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                                                                Applicative<A,App> appA,
                                                                                                                                                                Applicative<B,App> appB,
                                                                                                                                                                Applicative<C,App> appC,
                                                                                                                                                                Applicative<D,App> appD,
                                                                                                                                                                Applicative<E,App> appE)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> Fn1<Applicative<G,App>,AppH> liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                                             Applicative<A,App> appA,
                                                                                                                                             Applicative<B,App> appB,
                                                                                                                                             Applicative<C,App> appC,
                                                                                                                                             Applicative<D,App> appD,
                                                                                                                                             Applicative<E,App> appE,
                                                                                                                                             Applicative<F,App> appF)

    - #### liftA7

          public static <A,B,C,D,E,F,G,H,App extends Applicative<?,App>,AppH extends Applicative<H,App>> AppH liftA7(Fn7<A,B,C,D,E,F,G,H> fn,
                                                                                                                     Applicative<A,App> appA,
                                                                                                                     Applicative<B,App> appB,
                                                                                                                     Applicative<C,App> appC,
                                                                                                                     Applicative<D,App> appD,
                                                                                                                     Applicative<E,App> appE,
                                                                                                                     Applicative<F,App> appF,
                                                                                                                     Applicative<G,App> appG)